//==============================================================================
// Project : Angry Popei Sound Mutator
// Version : 1.0
// Coder   : t0ast3r
// Site    : http://home.arcor.de/t0ast3r
//==============================================================================

// class definition
class PopeiSound extends Mutator;

// import sound files
#exec audio Import File=Sounds\calm.wav Name=calm Group=Samples
#exec audio Import File=Sounds\camper.wav Name=camper Group=Samples
#exec audio Import File=Sounds\cry.wav Name=cry Group=Samples
#exec audio Import File=Sounds\egal.wav Name=egal  Group=Samples
#exec audio Import File=Sounds\fresse.wav Name=fresse Group=Samples
#exec audio Import File=Sounds\hilfe.wav Name=hilfe Group=Samples
#exec audio Import File=Sounds\hunger.wav Name=hunger Group=Samples
#exec audio Import File=Sounds\krass.wav Name=krass Group=Samples
#exec audio Import File=Sounds\lachnich.wav Name=lachnich Group=Samples
#exec audio Import File=Sounds\lamer.wav Name=lamer Group=Samples
#exec audio Import File=Sounds\lucker.wav Name=lucker Group=Samples
#exec audio Import File=Sounds\mist.wav Name=mist Group=Samples
#exec audio Import File=Sounds\mowl.wav Name=mowl Group=Samples
#exec audio Import File=Sounds\naps.wav Name=naps Group=Samples
#exec audio Import File=Sounds\noo.wav Name=noo Group=Samples
#exec audio Import File=Sounds\nubs.wav Name=nubs Group=Samples
#exec audio Import File=Sounds\relax.wav Name=relax Group=Samples
#exec audio Import File=Sounds\ruhe.wav Name=ruhe Group=Samples
#exec audio Import File=Sounds\scheisse.wav Name=scheisse Group=Samples
#exec audio Import File=Sounds\selber.wav Name=selber Group=Samples
#exec audio Import File=Sounds\stress.wav Name=stress Group=Samples
#exec audio Import File=Sounds\teams.wav Name=teams Group=Samples


// PostBeginPlay
function PostBeginPlay ()
{
	SetTimer(1.00, False);
}

// Timer
function Timer ()
{
	Level.Game.RegisterMessageMutator(self);
}

// main mutator function
function bool MutatorTeamMessage (Actor Sender, Pawn Receiver, PlayerReplicationInfo PRI, coerce string S, name Type, optional bool bBeep)
{
    	// show about
	if ( InStr(S, "!about") != -1 )
	{
		PlayerPawn(Receiver).ClientMessage("Angry Popei Sound Mutator 1.0 - 2004 by t0ast3r", , True);
	}

	// show help
	else if ( InStr(S, "!help") != -1 )
	{
		PlayerPawn(Receiver).ClientMessage("Say or TeamSay '!command' where command represents a certain sound - for a complete list Say or TeamSay '!all'", , True);
	}

	// display commandlist
	else if ( InStr(S, "!all") != -1 )
	{
		PlayerPawn(Receiver).ClientMessage("commands :: !calm !camper !cry !egal !fresse !hilfe !hunger !krass !lachnich !lamer !lucker", , True);
        	PlayerPawn(Receiver).ClientMessage("commands :: !mist !mowl !naps !noo !nubs !relax !ruhe !scheisse !selber !stress !teams", , True);
	}

	// play sounds if command matches
	else if ( InStr(S, "!calm") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'calm', , True);
	}
	else if ( InStr(S, "!camper") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'camper', , True);
	}
	else if ( InStr(S, "!cry") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'cry', , True);
	}
	else if ( InStr(S, "!egal") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'egal', , True);
	}
	else if ( InStr(S, "!fresse") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'fresse', , True);
	}
	else if ( InStr(S, "!hilfe") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'hilfe', , True);
	}
	else if ( InStr(S, "!hunger") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'hunger', , True);
	}
	else if ( InStr(S, "!krass") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'krass', , True);
	}
	else if ( InStr(S, "!lachnich") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'lachnich', , True);
	}
	else if ( InStr(S, "!lamer") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'lamer', , True);
	}
	else if ( InStr(S, "!lucker") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'lucker', , True);
	}
	else if ( InStr(S, "!mist") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'mist', , True);
	}
	else if ( InStr(S, "!mowl") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'mowl', , True);
	}
	else if ( InStr(S, "!naps") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'naps', , True);
	}
	else if ( InStr(S, "!noo") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'noo', , True);
	}
	else if ( InStr(S, "!nubs") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'nubs', , True);
	}
	else if ( InStr(S, "!relax") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'relax', , True);
	}
	else if ( InStr(S, "!ruhe") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'ruhe', , True);
	}
	else if ( InStr(S, "!scheisse") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'scheisse', , True);
	}
	else if ( InStr(S, "!selber") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'selber', , True);
	}
	else if ( InStr(S, "!stress") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'stress', , True);
	}
	else if ( InStr(S, "!teams") != -1 )
	{
		PlayerPawn(Receiver).ClientPlaySound(Sound'teams', , True);
	}

	// return value
	return Super.MutatorTeamMessage(Sender, Receiver, PRI, S, Type, bBeep);
}

